### Signal

# Adw NavigationView::popped

since: 1.4

#### Declaration

    void
    popped (
      AdwNavigationView* self,
      AdwNavigationPage* page,
      gpointer user_data
    )

#### Description [src]

Emitted after `page` has been popped from the navigation stack.

See `adw_navigation_view_pop()`.

When using `adw_navigation_view_pop_to_page()` or `adw_navigation_view_pop_to_tag()`, this signal is emitted for each of the popped pages.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.4

#### Parameters

`page`

  Type: `AdwNavigationPage`

  The popped page.

  The data is owned by the caller of the function.